Get an episode
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"dataset_id": "<string>",
"episode_index": 123,
"frame_count": 123,
"player": {
"primary_stream_key": "<string>",
"collage_url": "<string>",
"video_streams": [
{
"key": "<string>",
"label": "<string>",
"url": "<string>",
"from_timestamp": 123,
"to_timestamp": 123,
"width": 123,
"height": 123,
"fps": 123,
"codec": "<string>"
}
]
},
"plot": {
"traces": [
{
"key": "<string>",
"label": "<string>",
"group": "state",
"dimension_index": 123,
"values": [
123
],
"timestamps": [
123
]
}
],
"y_axis_label": "state"
},
"tabs": {
"general": {
"dataset_id": "<string>",
"dataset_title": "<string>",
"episode_index": 123,
"source_label": "<string>",
"source_locator": "<string>",
"frame_count": 123,
"source_url": "<string>",
"work_name": "<string>",
"task_name": "<string>",
"duration_sec": 123,
"fps": 123,
"tasks": [
"<string>"
],
"language_instruction": "<string>"
},
"observation": {
"fps": 123,
"cameras": [
{
"key": "<string>",
"label": "<string>",
"width": 123,
"height": 123,
"channels": 123,
"fps": 123,
"codec": "<string>",
"pixel_format": "<string>",
"depth_map": true
}
],
"state": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
}
},
"action": {
"robot_type": "<string>",
"embodiment": "<string>",
"action": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
},
"spatial_views": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"status": "planned",
"required_assets": [
"<string>"
],
"trajectory_points": [
[
123
]
]
}
]
},
"annotation": {
"available": true,
"tasks": [
"<string>"
],
"success": true,
"notes": [
"<string>"
],
"issues": [
"<string>"
],
"segments": [
{
"start_frame": 123,
"end_frame": 123,
"action": "<string>",
"start_sec": 123,
"end_sec": 123,
"description": "<string>",
"source": "<string>"
}
]
},
"dataset": {
"total_episodes": 123,
"total_frames": 123,
"modalities": [
"<string>"
],
"tags": [
"<string>"
],
"split_names": [
"<string>"
],
"export_count": 0
},
"export": {
"artifacts": [
{
"key": "<string>",
"label": "<string>",
"kind": "<string>",
"access": "<string>",
"href": "<string>",
"description": "<string>"
}
]
}
},
"schema_version": "1.0.0",
"kind": "episode_manifest",
"duration_sec": 123,
"fps": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalog
Get an episode
GET
/
api
/
v1
/
catalog
/
datasets
/
{dataset_id}
/
episodes
/
{episode_index}
Get an episode
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/episodes/{episode_index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"dataset_id": "<string>",
"episode_index": 123,
"frame_count": 123,
"player": {
"primary_stream_key": "<string>",
"collage_url": "<string>",
"video_streams": [
{
"key": "<string>",
"label": "<string>",
"url": "<string>",
"from_timestamp": 123,
"to_timestamp": 123,
"width": 123,
"height": 123,
"fps": 123,
"codec": "<string>"
}
]
},
"plot": {
"traces": [
{
"key": "<string>",
"label": "<string>",
"group": "state",
"dimension_index": 123,
"values": [
123
],
"timestamps": [
123
]
}
],
"y_axis_label": "state"
},
"tabs": {
"general": {
"dataset_id": "<string>",
"dataset_title": "<string>",
"episode_index": 123,
"source_label": "<string>",
"source_locator": "<string>",
"frame_count": 123,
"source_url": "<string>",
"work_name": "<string>",
"task_name": "<string>",
"duration_sec": 123,
"fps": 123,
"tasks": [
"<string>"
],
"language_instruction": "<string>"
},
"observation": {
"fps": 123,
"cameras": [
{
"key": "<string>",
"label": "<string>",
"width": 123,
"height": 123,
"channels": 123,
"fps": 123,
"codec": "<string>",
"pixel_format": "<string>",
"depth_map": true
}
],
"state": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
}
},
"action": {
"robot_type": "<string>",
"embodiment": "<string>",
"action": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
},
"spatial_views": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"status": "planned",
"required_assets": [
"<string>"
],
"trajectory_points": [
[
123
]
]
}
]
},
"annotation": {
"available": true,
"tasks": [
"<string>"
],
"success": true,
"notes": [
"<string>"
],
"issues": [
"<string>"
],
"segments": [
{
"start_frame": 123,
"end_frame": 123,
"action": "<string>",
"start_sec": 123,
"end_sec": 123,
"description": "<string>",
"source": "<string>"
}
]
},
"dataset": {
"total_episodes": 123,
"total_frames": 123,
"modalities": [
"<string>"
],
"tags": [
"<string>"
],
"split_names": [
"<string>"
],
"export_count": 0
},
"export": {
"artifacts": [
{
"key": "<string>",
"label": "<string>",
"kind": "<string>",
"access": "<string>",
"href": "<string>",
"description": "<string>"
}
]
}
},
"schema_version": "1.0.0",
"kind": "episode_manifest",
"duration_sec": 123,
"fps": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I

